Subject: bug#63530: Missing library in package procps

From: Gabriel Wicki <[email-masked]>
Date: Tue, 16 May 2023 00:13:07 +0200

Hi

Trying to upgrade a somewhat outdated system (from March 23) I noticed
igt-gpu-tools failed to build.  Investigating a bit the build fails due
to some "proc/readproc.h" include missing.  I think i managed to fix the
failure in procps's Makefile, but testing the patched build results in a
rather huge rebuild.  `guix refresh -l procps` results in 5328
packages.  Are there any other approaches one could take to a) fix the
broken package without b) triggering a world-rebuild?

I'm not sure if this is an upstream bug and whether other packages are
affected, neither do I know whether the other header files that aren't
being copied to the install dir should be.

Thanks for your input in advance!  I'll update this issue with a patch
as soon as I manage to verify that my attempt actually works.

gabber